You are not logged in.

#1 2009-04-11 16:11:19

Raku^0
Member
Registered: 2008-12-03
Posts: 9

GHC , haskell-x11, xmonad etc issues.

Hi,

I upgraded ghc yesterday (or the day before, not sure) and when rebuilding xmonad I have some issues.

When upgrading ghc I had this message:

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                   [##############################################] 100%
    ==> Unregistering cabalized packages...
    ==> Done.
(1/1) upgrading ghc                                 [##############################################] 100%
    ==> All cabalized and yaourt-installed packages need to be reinstalled now.
    ==> See /usr/share/haskell/ and ghc-pkg list --user for a tentative list of affected packages.

I assume reinstalling them using pacman/yaourt is sufficient. When installing haskell-x11 for instance I have these messages:

Targets (1): haskell-x11-1.4.5-1  

Total Download Size:    0.00 MB
Total Installed Size:   3.96 MB

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                   [##############################################] 100%
ghc-pkg: cannot find package X11-1.4.5
error: scriptlet failed to execute correctly
(1/1) upgrading haskell-x11                         [##############################################] 100%
Reading package info from stdin ... done.
X11-1.4.5: dependency base-3.0.3.0 doesn't exist (use --force to override)
error: scriptlet failed to execute correctly
If you like this package, please install aurvote
and vote for its inclusion/keeping in [community]

As a consequence haskell-x11 is not available when recompiling xmonad. I have similar messages for xmonad:

Targets (1): xmonad-0.8.1-1  

Total Download Size:    0.00 MB
Total Installed Size:   2.93 MB

Proceed with installation? [Y/n] y
checking package integrity...
(1/1) checking for file conflicts                   [##############################################] 100%
ghc-pkg: cannot find package xmonad-0.8.1
error: scriptlet failed to execute correctly
(1/1) upgrading xmonad                              [##############################################] 100%
Reading package info from stdin ... done.
xmonad-0.8.1: dependency X11-1.4.5 doesn't exist (use --force to override)
xmonad-0.8.1: dependency base-3.0.3.0 doesn't exist (use --force to override)
xmonad-0.8.1: dependency containers-0.2.0.0 doesn't exist (use --force to override)
xmonad-0.8.1: dependency directory-1.0.0.2 doesn't exist (use --force to override)
xmonad-0.8.1: dependency process-1.0.1.0 doesn't exist (use --force to override)
xmonad-0.8.1: dependency unix-2.3.1.0 doesn't exist (use --force to override)
error: scriptlet failed to execute correctly
If you like this package, please install aurvote
and vote for its inclusion/keeping in [community]

When I downgrade to ghc in extra and reinstall these packages they work fine, and don't have the above dependency error messages. The only error message I keep having is:

error: scriptlet failed to execute correctly

But this might have been there before. I have no experience in actually using ghc, so maybe I'm missing something?

Offline

#2 2009-04-11 18:02:55

bender02
Member
From: Germany
Registered: 2007-02-04
Posts: 1,328

Re: GHC , haskell-x11, xmonad etc issues.

i think you need to rebuild the haskell packages that are required for xmonad (that's what I did), or you can try the script that unregisters and then registers the modules with the new ghc: http://bbs.archlinux.org/viewtopic.php? … 98#p440598

Offline

#3 2009-04-12 05:30:38

vogt
Member
From: Toronto, Canada
Registered: 2006-11-25
Posts: 389

Re: GHC , haskell-x11, xmonad etc issues.

Until ghc 6.10.2 is in [extra], you cannot use the binary packages in [community]. Using --build option from yaourt is pretty quick. Its unfortunate that [community] does not have a testing version.

http://www.haskell.org/pipermail/arch-h … 00132.html

Offline

#4 2009-04-12 11:19:40

Raku^0
Member
Registered: 2008-12-03
Posts: 9

Re: GHC , haskell-x11, xmonad etc issues.

I tried using the register script, which failed the same way as reinstalling them as the dependencies from the register scripts were based on the old ghc I suppose. It worked using the --build parameter, so my problem is solved.

Out of curiousity, is there a specific reason for packages depending on a specific version of ghc not to be put in [testing] as well?

Offline

#5 2009-04-12 16:00:58

bender02
Member
From: Germany
Registered: 2007-02-04
Posts: 1,328

Re: GHC , haskell-x11, xmonad etc issues.

Raku^0 wrote:

Out of curiousity, is there a specific reason for packages depending on a specific version of ghc not to be put in [testing] as well?

As vogt explained above: they are mostly in community, and community packages don't go into [testing].

Offline

#6 2009-04-12 18:13:04

Raku^0
Member
Registered: 2008-12-03
Posts: 9

Re: GHC , haskell-x11, xmonad etc issues.

What I meant was, if you use ghc from testing, shouldn't specific versions that build against ghc from testing be in testing as well? Maybe its a stupid thought, but if it is please enlighten me.

Offline

#7 2009-04-12 18:47:49

bender02
Member
From: Germany
Registered: 2007-02-04
Posts: 1,328

Re: GHC , haskell-x11, xmonad etc issues.

It's the right idea, but technically not feasible currently. [community] is maintained by a different set of people than [core], [extra] and [testing] (not only that, they are technically implemented differently at the moment, but devs are working on that about now). So only packages from [core] and [extra] can go through [testing] at present. Hence there is always only one version of a package in [community], and naturally it needs to be in sync with [core/extra], not [testing]. So currently it's assumed that people that use testing are technically skilled enough to know (and know how) to rebuild some community packages that need it.

Offline

#8 2009-04-12 19:11:57

Raku^0
Member
Registered: 2008-12-03
Posts: 9

Re: GHC , haskell-x11, xmonad etc issues.

Ok thanks for your explanation smile

Offline

Board footer

Powered by FluxBB